TLSv1.0 salesforce.error.UNSUPPORTED_CLIENT

  • 1
  • Question
  • Updated 2 years ago
we are running jira 6.2.6 with servicerocket salesforce plugin 5.5.0. A few days ago, the plugin stop working. The test connection returns salesforce.error.UNSUPPORTED_CLIENT.  Network capture show the connection to sfdc is TLSv1.0 which is recently disabled by salesforce.  Will there be plugin update for jira 6.x to support newer TLS version?
Photo of T.F. Tung

T.F. Tung

  • 4 Posts
  • 0 Reply Likes

Posted 2 years ago

  • 1
Photo of Adrien Low

Adrien Low, Alum

  • 85 Posts
  • 3 Reply Likes
Hello Tung,

This is a Salesforce constraint.

Perhaps you can try the steps here to see if it solves your issue.

As for our Connector, it is not affected by the disabling of TLS 1.0. You can refer here for more information.

Regards,
Adrien
Photo of T.F. Tung

T.F. Tung

  • 4 Posts
  • 0 Reply Likes
Thanks for your reply. Unfortunately, the workaround stated in the link no longer works as salesforce is now enforcing the TLSv1.0 disablement on sandboxes. 

I suspect the TLSv1.0 disablement does not affect latest JIRA since it runs on JRE8 which default is using TLSv1.2.

However, for us which running JIRA 6.x, it runs on JRE7 which has TLSv1.0 as default. I tried various way to "enable" TLSv1.1/v1.2 by setting property but no luck. e.g. Adding "-Dhttps.protocols=TLSv1.1,TLSv1.2" to the java command.

I would hope if there is some simple configuration workaround for JIRA 6.x. 
Photo of Adrien Low

Adrien Low, Alum

  • 85 Posts
  • 3 Reply Likes
Hello Tung,

We have verified that this is happening and our developers are investigating it.

Also, it seems like you are currently using a JIRA version that will not be supported by Atlassian or ServiceRocket soon. Please update your JIRA to supported versions for continued support from Atlassian and ServiceRocket. Please refer to this for more information.

Regards,
Adrien
Photo of Karen Clark

Karen Clark

  • 9 Posts
  • 0 Reply Likes
Hi @Adrien Low - We are working towards a JIRA upgrade to v7.0 (from 6.4). We are integrated with SFDC Sandboxes for testing and assume we will hit this, too. Is it possible for me to get on the notification list for the fix, so I can ensure this is handled when we upgrade? Thanks!
Photo of Adrien Low

Adrien Low, Alum

  • 85 Posts
  • 3 Reply Likes
Hello Karen,

We have already tested this on JIRA 7 using Java 8. There should be no issue with this. 

Regards,
Adrien
Photo of Adrien Low

Adrien Low, Alum

  • 85 Posts
  • 3 Reply Likes
Hello Tung,

We have verified that this is happening for JIRA versions 6.3 and below. However, as JIRA version 6.3 has already reached its Atlassian End Of Life Policy, we will not be releasing a fix for this as we are adapting the Atlassian End Of Life Policy. 

We recommend that you upgrade to supported versions. There should be no issue with the connector on JIRA 6.4 and above using Java 8.

Regards,
Adrien
(Edited)
Photo of T.F. Tung

T.F. Tung

  • 4 Posts
  • 0 Reply Likes
Thank you Adrien. I'd discuss a JIRA update with our IT infrastructure team. 
Photo of Adrien Low

Adrien Low, Alum

  • 85 Posts
  • 3 Reply Likes
Hello Tung,

Thank you for reaching out to us. Do not hesitate to contact us for any further enquiries.

Regards,
Adrien